Upgrade Wikimedia servers to Ubuntu Trusty (14.04)
Closed, DeclinedPublic

Details

Reference
bz63899

Related Objects

StatusAssignedTask
OpenNone
ResolvedBawolff
Declinedhashar
OpenNone
ResolvedNone
Resolvedbrion
DeclinedNone
ResolvedKrinkle
Resolvedfgiunchedi
Resolvedakosiaris
Resolvedhashar
Resolvedakosiaris
ResolvedAndrew
ResolvedJoe
Resolvedtstarling
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedDzahn
ResolvedJoe
Duplicatefgiunchedi
Resolvedbrion
Resolvedbrion
Resolved bd808
ResolvedJoe
DeclinedArielGlenn
ResolvedArielGlenn
Resolvedori
DeclinedNone
ResolvedMoritzMuehlenhoff
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz63899.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Apr 14 2014, 10:42 AM

"There are a couple of external dependencies that, if met, would accelerate our work:

A speedy Ubuntu 14.04 deployment"

https://www.mediawiki.org/wiki/Wikimedia_MediaWiki_Core_Team/Quarterly_review,_April_2014#HHVM

I am pretty sure having an image in labs for 14.04 is a prerequisite. Will let us try the puppet manifest and upgrade the beta cluster before production.

+blocker Bug 60684 - Virtual image for Ubuntu Trusty (14.04)

  • Bug 68190 has been marked as a duplicate of this bug. ***
hashar renamed this task from Upgrade servers to Ubuntu 14.04 to Upgrade Wikimedia servers to Ubuntu Trusty (14.04) (tracking).Nov 25 2014, 2:35 PM
hashar set Security to None.

Wondering what is the status here.
T80945: Get rid of all Ubuntu Lucid (10.04) installs (get rid of 10.04) might block this one?

hashar removed a subscriber: hashar.Feb 26 2015, 10:01 AM
Dzahn added a subscriber: Dzahn.Mar 10 2015, 10:46 PM

We are upgrading some to Debian Jessie already instead.

Wondering what is the status here.

{T80945} (get rid of 10.04) might block this one?

The other one is unresolved but i would not call it a blocker.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 4 2015, 12:43 AM
Dzahn added a comment.Jul 13 2015, 8:59 PM

How much of this can be "to Debian jessie" right away without going through an additional step?

Krenair changed the status of subtask T84842: Convert eqiad imagescalers to HHVM, Trusty from Stalled to Open.Jul 17 2015, 7:24 AM
jayvdb added a subscriber: jayvdb.Dec 2 2015, 12:40 PM
MoritzMuehlenhoff closed this task as Declined.May 3 2016, 8:36 AM

Closing this ticket, it's currently not really useful/duplicated. We already have a tracking ticket to get rid of precise and our preferred default distro is jessie.

For the curious, the ticket @MoritzMuehlenhoff is referring to is T123525.

Danny_B moved this task from Tag to Goal on the Tracking board.Jul 11 2016, 10:14 PM
Phabricator_maintenance renamed this task from Upgrade Wikimedia servers to Ubuntu Trusty (14.04) (tracking) to Upgrade Wikimedia servers to Ubuntu Trusty (14.04).Aug 13 2016, 9:33 PM
Phabricator_maintenance removed a project: Tracking.